program Grad32;

uses
  Windows,
  SysUtils,
  Forms,
  Matrices in 'Matrices.pas',
  MiscRoutines in 'MiscRoutines.Pas',
  MTEdit in 'MTEdit.pas' {MTEditForm},
  DistrDis in 'DistrDis.pas' {QuantilsForm},
  DLGNew in 'DLGNew.pas' {NewDialog},
  DlgNewY in 'DlgNewY.pas' {YMparams},
  About in 'About.pas' {AboutBox},
  TextReport in 'TextReport.pas' {ReportForm},
  IntegerInp in 'IntegerInp.pas' {IntInputDlg},
  MainUnit in 'MainUnit.pas' {MainForm},
  ModelChange in 'ModelChange.pas' {ModelChangeForm},
  ExtrDlg in 'ExtrDlg.pas' {ExtrDialog},
  ExProg in 'ExProg.pas' {ExProgress},
  Init in 'Init.pas' {IniForm},
  Step1 in 'Step1.pas' {StepOneForm},
  Step2 in 'Step2.pas' {StepTwoForm},
  Step2a in 'Step2a.pas' {StepTwoForm_A},
  Step3 in 'Step3.pas' {StepThreeForm},
  Step4 in 'Step4.pas' {StepFourForm},
  MathDef in 'MathDef.pas',
  TranslateDlg in 'TranslateDlg.pas' {TranslateDialog},
  CCO_CCR in 'CCO_CCR.pas' {DlgCCOCCR},
  Setup in 'Setup.pas' {OptionsForm},
  SharedData in 'SharedData.pas',
  SharedCode in 'SharedCode.pas',
  BadAddens in 'BadAddens.pas' {BadAddensForm},
  AverageDlg in 'AverageDlg.pas' {AverageDialog},
  ExPoint in 'ExPoint.pas' {ExDialog},
  GraphS in 'GraphS.pas',
  FormLst in 'FormLst.pas' {FormList},
  ArrangeDlg in 'ArrangeDlg.pas' {ArrangeDialog},
  MiniDlg in 'MiniDlg.pas' {MinimizeDialog},
  ShowDlg in 'ShowDlg.pas' {ShowDialog},
  KNames in 'KNames.pas' {KNamesForm},
  GLWindow in 'GLWindow.pas' {OpenGLWindow},
  StdFont in 'stdfont.pas',
  GLScene in 'glscene.pas',
  U3d in 'u3d.pas',
  Controller in 'controller.pas',
  GLBitDraw in 'GLBitDraw.pas' {GLBitSize},
  TeeGraph in 'TeeGraph.pas' {GraphForm},
  WizTmpl in 'WizTmpl.pas' {WizardTemplateForm},
  DiagStep1 in 'DiagStep1.pas' {DiagramStep1},
  DiagStep2 in 'DiagStep2.pas' {DiagramStep2},
  DiagStep3 in 'DiagStep3.pas' {DiagramStep3},
  Plan in 'plan.pas',
  SurfStep1 in 'surfstep1.pas' {SurfaceStep1},
  SurfStep2 in 'surfstep2.pas' {SurfaceStep2},
  CComplete in 'ccomplete.pas' {CohrenCompleteForm},
  SComplete in 'scomplete.pas' {StudentCompleteForm},
  FCComplete in 'FCComplete.pas' {CheckCompleteForm},
  GLState in 'GLState.pas' {GLStateForm},
  CheckPoint in 'CheckPoint.pas' {CheckPointDlg},
  FComplete in 'FComplete.pas' {FisherCompleteForm},
  FloatInp in 'FloatInp.pas' {FloatInputDlg},
  StringInp in 'StringInp.pas' {StringInputDlg},
  WavePlay in 'WavePlay.pas',
  Sounds in 'Sounds.pas',
  Extensions in 'Extensions.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Градиент';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TIniForm, IniForm);
  IniForm.Show;
  UpdateWindow(IniForm.Handle);
  Application.CreateForm(TBadAddensForm, BadAddensForm);
  Application.CreateForm(TAverageDialog, AverageDialog);
  Application.CreateForm(TExDialog, ExDialog);
  Application.CreateForm(TFormList, FormList);
  Application.CreateForm(TArrangeDialog, ArrangeDialog);
  Application.CreateForm(TMinimizeDialog, MinimizeDialog);
  Application.CreateForm(TShowDialog, ShowDialog);
  Application.CreateForm(TKNamesForm, KNamesForm);
  Application.CreateForm(TGLBitSize, GLBitSize);
  Application.CreateForm(TWizardTemplateForm, WizardTemplateForm);
  Application.CreateForm(TDiagramStep1, DiagramStep1);
  Application.CreateForm(TDiagramStep2, DiagramStep2);
  Application.CreateForm(TDiagramStep3, DiagramStep3);
  Application.CreateForm(TSurfaceStep1, SurfaceStep1);
  Application.CreateForm(TSurfaceStep2, SurfaceStep2);
  Application.CreateForm(TCohrenCompleteForm, CohrenCompleteForm);
  Application.CreateForm(TStudentCompleteForm, StudentCompleteForm);
  Application.CreateForm(TCheckCompleteForm, CheckCompleteForm);
  Application.CreateForm(TGLStateForm, GLStateForm);
  Application.CreateForm(TCheckPointDlg, CheckPointDlg);
  Application.CreateForm(TFisherCompleteForm, FisherCompleteForm);
  Application.CreateForm(TStepOneForm, StepOneForm);
  Application.CreateForm(TStepTwoForm, StepTwoForm);
  Application.CreateForm(TStepTwoForm_A, StepTwoForm_A);
  Application.CreateForm(TStepThreeForm, StepThreeForm);
  Application.CreateForm(TStepFourForm, StepFourForm);
  Application.CreateForm(TMinimizeDialog, MinimizeDialog);
  Application.CreateForm(TArrangeDialog, ArrangeDialog);
  Application.CreateForm(TTranslateDialog, TranslateDialog);
  Application.CreateForm(TDlgCCOCCR, DlgCCOCCR);
  Application.CreateForm(TOptionsForm, OptionsForm);
  Application.CreateForm(TQuantilsForm, QuantilsForm);
  Application.CreateForm(TNewDialog, NewDialog);
  Application.CreateForm(TYMparams, YMparams);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TModelChangeForm, ModelChangeForm);
  Application.CreateForm(TExtrDialog, ExtrDialog);
  Application.CreateForm(TExProgress, ExProgress);
  Application.CreateForm(TStringInputDlg, StringInputDlg);
  Application.CreateForm(TFloatInputDlg, FloatInputDlg);
  Application.CreateForm(TStringInputDlg, StringInputDlg);
  Application.Run;
end.
